[Overview][Constants][Types][Procedures and functions][Variables][Index] | Reference for unit 'go32' (#rtl)

# seg_fillword

Fill segment with word value

## Declaration

Source position: go32.pp line 114

`procedure seg_fillword(`
`seg: Word;`
`ofs: LongInt;`
`count: LongInt;`
`w: Word`
`);`

## Description

Sets a memory area to a specific value.

Parameters:

seg
  selector to memory area.
ofs
  offset to memory.
count
  number of words to set.
w
  word data which is set.

Return values: None.

Notes: No range check is done in any way.

For an example, see allocate_ldt_descriptors.

## Errors

None.

## See also

seg_move |  | Move data between 2 locations
seg_fillchar |  | Fill segment with byte value
dosmemfillchar |  | Fill a region of DOS memory with a specific byte-sized value
dosmemfillword |  | Fill a region of DOS memory with a specific word-sized value
dosmemget |  | Copy data from DOS memory to the heap.
dosmemput |  | Copy data from the heap to DOS real mode memory
dosmemmove |  | Move data between 2 DOS real mode memory locations

Documentation generated on: Feb 26 2014